// Copyright 2024 Pixar
// Licensed under the terms set forth in the LICENSE.txt file available at
// https://openusd.org/license.
//
// Copyright David Abrahams 2002.
// Distributed under the Boost Software License, Version 1.0. (See
// accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)
//
// Modified by Jeremy Retailleau.

//  See http://www.boost.org/libs/python for documentation.

#ifndef PXR_BOOST_PYTHON_HPP
# define PXR_BOOST_PYTHON_HPP

# include "./python/args.hpp"
# include "./python/args_fwd.hpp"
# include "./python/back_reference.hpp"
# include "./python/bases.hpp"
# include "./python/borrowed.hpp"
# include "./python/call.hpp"
# include "./python/call_method.hpp"
# include "./python/class.hpp"
# include "./python/copy_const_reference.hpp"
# include "./python/copy_non_const_reference.hpp"
# include "./python/data_members.hpp"
# include "./python/def.hpp"
# include "./python/default_call_policies.hpp"
# include "./python/dict.hpp"
# include "./python/docstring_options.hpp"
# include "./python/enum.hpp"
# include "./python/errors.hpp"
# include "./python/exception_translator.hpp"
# include "./python/exec.hpp"
# include "./python/extract.hpp"
# include "./python/handle.hpp"
# include "./python/has_back_reference.hpp"
# include "./python/implicit.hpp"
# include "./python/init.hpp"
# include "./python/import.hpp"
# include "./python/instance_holder.hpp"
# include "./python/iterator.hpp"
# include "./python/list.hpp"
# include "./python/long.hpp"
# include "./python/lvalue_from_pytype.hpp"
# include "./python/make_constructor.hpp"
# include "./python/make_function.hpp"
# include "./python/manage_new_object.hpp"
# include "./python/module.hpp"
# include "./python/noncopyable.hpp"
# include "./python/object.hpp"
# include "./python/object_protocol.hpp"
# include "./python/object_protocol_core.hpp"
# include "./python/opaque_pointer_converter.hpp"
# include "./python/operators.hpp"
# include "./python/other.hpp"
# include "./python/overloads.hpp"
# include "./python/pointee.hpp"
# include "./python/pure_virtual.hpp"
# include "./python/ptr.hpp"
# include "./python/raw_function.hpp"
# include "./python/ref.hpp"
# include "./python/reference_existing_object.hpp"
# include "./python/register_ptr_to_python.hpp"
# include "./python/return_arg.hpp"
# include "./python/return_internal_reference.hpp"
# include "./python/return_opaque_pointer.hpp"
# include "./python/return_value_policy.hpp"
# include "./python/scope.hpp"
# include "./python/self.hpp"
# include "./python/slice.hpp"
# include "./python/slice_nil.hpp"
# include "./python/stl_iterator.hpp"
# include "./python/str.hpp"
# include "./python/to_python_converter.hpp"
# include "./python/to_python_indirect.hpp"
# include "./python/to_python_value.hpp"
# include "./python/tuple.hpp"
# include "./python/type.hpp"
# include "./python/type_id.hpp"
# include "./python/type_list.hpp"
# include "./python/with_custodian_and_ward.hpp"

#endif // PXR_BOOST_PYTHON_HPP
